Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class PropertyTransfer

    java.lang.Object
      com.eviware.soapui.impl.wsdl.teststeps.PropertyTransfer

All Implemented Interfaces:
  PropertyChangeNotifier

    public class PropertyTransfer

extends java.lang.Object
implements PropertyChangeNotifier

Class for transferring a property value between 2 test steps. This class is relatively complex due to backwards compatibility issues and to gracefull handling of references test steps and properties.

Author:
  Ole.Matzura

Field Summary
`static java.lang.String` | `CONFIG_PROPERTY`
`static java.lang.String` | `NAME_PROPERTY`
`static java.lang.String` | `SOURCE_PATH_PROPERTY`
`static java.lang.String` | `SOURCE_STEP_PROPERTY`
`static java.lang.String` | `SOURCE_TYPE_PROPERTY`
`static java.lang.String` | `TARGET_PATH_PROPERTY`
`static java.lang.String` | `TARGET_STEP_PROPERTY`
`static java.lang.String` | `TARGET_TYPE_PROPERTY`

Constructor Summary
`PropertyTransfer(TestStep testStep)`
`PropertyTransfer(TestStep testStep, com.eviware.soapui.config.ValueTransferConfig config)`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`
`com.eviware.soapui.config.ValueTransferConfig` | `getConfig()`
`boolean` | `getFailOnError()`
`boolean` | `getIgnoreEmpty()`
`java.lang.String` | `getName()`
`boolean` | `getSetNullOnMissingSource()`
`java.lang.String` | `getSourcePath()`
`TestStepProperty` | `getSourceProperty()`
`java.lang.String` | `getSourcePropertyName()` Returns the name of the source property.
`TestStep` | `getSourceStep()`
`java.lang.String` | `getSourceStepName()`
`java.lang.String` | `getTargetPath()`
`TestStepProperty` | `getTargetProperty()`
`java.lang.String` | `getTargetPropertyName()`
`TestStep` | `getTargetStep()`
`java.lang.String` | `getTargetStepName()`
`boolean` | `getTransferTextContent()`
`boolean` | `getTransferToAll()`
`boolean` | `getUseXQuery()`
`void` | `release()`
`void` | `releaseListeners()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`
`void` | `setFailOnError(boolean failOnError)`
`void` | `setIgnoreEmpty(boolean ignoreEmpty)`
`void` | `setName(java.lang.String name)`
`void` | `setSetNullOnMissingSource(boolean setNullOnMissingSource)`
`void` | `setSourcePath(java.lang.String path)`
`void` | `setSourcePropertyName(java.lang.String name)`
`void` | `setSourceStepName(java.lang.String sourceStep)`
`void` | `setTargetPath(java.lang.String path)`
`void` | `setTargetPropertyName(java.lang.String name)`
`void` | `setTargetStepName(java.lang.String targetStep)`
`void` | `setTransferTextContent(boolean transferTextContent)`
`void` | `setTransferToAll(boolean transferToAll)`
`void` | `setUseXQuery(boolean useXQuery)`
`java.lang.String[]` | `transferProperties(SubmitContext context)`
`protected java.lang.String[]` | `transferStringToString(TestStepProperty sourceProperty, TestStepProperty targetProperty)`
`protected java.lang.String[]` | `transferStringToXml(TestStepProperty sourceProperty, TestStepProperty targetProperty, SubmitContext context)`
`protected java.lang.String` | `transferXPathToString(TestStepProperty sourceProperty, TestStepProperty targetProperty, SubmitContext context)`
`protected java.lang.String[]` | `transferXPathToXml(TestStepProperty sourceProperty, TestStepProperty targetProperty, SubmitContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOURCE_PATH_PROPERTY

    public static final java.lang.String SOURCE_PATH_PROPERTY

### SOURCE_TYPE_PROPERTY

    public static final java.lang.String SOURCE_TYPE_PROPERTY

### SOURCE_STEP_PROPERTY

    public static final java.lang.String SOURCE_STEP_PROPERTY

### TARGET_PATH_PROPERTY

    public static final java.lang.String TARGET_PATH_PROPERTY

### TARGET_TYPE_PROPERTY

    public static final java.lang.String TARGET_TYPE_PROPERTY

### TARGET_STEP_PROPERTY

    public static final java.lang.String TARGET_STEP_PROPERTY

### NAME_PROPERTY

    public static final java.lang.String NAME_PROPERTY

### CONFIG_PROPERTY

    public static final java.lang.String CONFIG_PROPERTY

Constructor Detail

### PropertyTransfer

    public PropertyTransfer(TestStep testStep)

### PropertyTransfer

    public PropertyTransfer(TestStep testStep,
                            com.eviware.soapui.config.ValueTransferConfig config)

Method Detail

### releaseListeners

    public void releaseListeners()

### release

    public void release()

### getConfig

    public com.eviware.soapui.config.ValueTransferConfig getConfig()

### getSourcePath

    public java.lang.String getSourcePath()

### getTargetPath

    public java.lang.String getTargetPath()

### getSourceProperty

    public TestStepProperty getSourceProperty()

### transferProperties

    public java.lang.String[] transferProperties(SubmitContext context)
                                          throws PropertyTransferException

  Throws:
    `PropertyTransferException`

### transferStringToString

    protected java.lang.String[] transferStringToString(TestStepProperty sourceProperty,
                                                        TestStepProperty targetProperty)

### transferXPathToXml

    protected java.lang.String[] transferXPathToXml(TestStepProperty sourceProperty,
                                                    TestStepProperty targetProperty,
                                                    SubmitContext context)
                                             throws org.apache.xmlbeans.XmlException,
                                                    java.lang.Exception

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.lang.Exception`

### transferStringToXml

    protected java.lang.String[] transferStringToXml(TestStepProperty sourceProperty,
                                                     TestStepProperty targetProperty,
                                                     SubmitContext context)
                                              throws org.apache.xmlbeans.XmlException,
                                                     java.lang.Exception

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.lang.Exception`

### transferXPathToString

    protected java.lang.String transferXPathToString(TestStepProperty sourceProperty,
                                                     TestStepProperty targetProperty,
                                                     SubmitContext context)
                                              throws org.apache.xmlbeans.XmlException,
                                                     java.lang.Exception

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.lang.Exception`

### getSourcePropertyName

    public java.lang.String getSourcePropertyName()

  Returns the name of the source property.

### setSourcePropertyName

    public void setSourcePropertyName(java.lang.String name)

### getTargetProperty

    public TestStepProperty getTargetProperty()

### getTargetPropertyName

    public java.lang.String getTargetPropertyName()

### setTargetPropertyName

    public void setTargetPropertyName(java.lang.String name)

### getName

    public java.lang.String getName()

### setSourcePath

    public void setSourcePath(java.lang.String path)

### setTargetPath

    public void setTargetPath(java.lang.String path)

### setName

    public void setName(java.lang.String name)

### getSourceStep

    public TestStep getSourceStep()

### getSourceStepName

    public java.lang.String getSourceStepName()

### setSourceStepName

    public void setSourceStepName(java.lang.String sourceStep)

### getTargetStep

    public TestStep getTargetStep()

### getTargetStepName

    public java.lang.String getTargetStepName()

### setTargetStepName

    public void setTargetStepName(java.lang.String targetStep)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String propertyName,
                                          java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `PropertyChangeNotifier`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `PropertyChangeNotifier`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `PropertyChangeNotifier`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String propertyName,
                                             java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `PropertyChangeNotifier`

### getFailOnError

    public boolean getFailOnError()

### setFailOnError

    public void setFailOnError(boolean failOnError)

### getTransferToAll

    public boolean getTransferToAll()

### setTransferToAll

    public void setTransferToAll(boolean transferToAll)

### getUseXQuery

    public boolean getUseXQuery()

### setUseXQuery

    public void setUseXQuery(boolean useXQuery)

### getIgnoreEmpty

    public boolean getIgnoreEmpty()

### setIgnoreEmpty

    public void setIgnoreEmpty(boolean ignoreEmpty)

### getSetNullOnMissingSource

    public boolean getSetNullOnMissingSource()

### setSetNullOnMissingSource

    public void setSetNullOnMissingSource(boolean setNullOnMissingSource)

### getTransferTextContent

    public boolean getTransferTextContent()

### setTransferTextContent

    public void setTransferTextContent(boolean transferTextContent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.